- Qt 5.15
- Qt Core
- C++ Classes
- QTextCodec
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QTextCodec

The following members of class QTextCodec are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` QTextCodec * | codecForTr()

## Member Function Documentation

### `[static]` QTextCodec *QTextCodec::codecForTr()

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns the codec used by QObject::tr() on its argument. If this function returns `nullptr` (the default), tr() assumes Latin-1.